Skip to main content
GET
/
companies
/
{company_id}
Get company
curl --request GET \
  --url https://api.getpg.ai/public-api/v1/companies/{company_id} \
  --header 'x-api-key: <api-key>'
{
  "company_id": "0472a8a1-bdc4-4f53-93f6-7d9a967beb76",
  "company_name": "Sprout Social",
  "website_domain": "sproutsocial.com",
  "public_company": true,
  "country_code": "US",
  "linkedin_url": "https://www.linkedin.com/company/sprout-social-inc-",
  "hq_city": "Chicago",
  "hq_state": "IL",
  "hq_country_name": "United States",
  "region": "North America",
  "ceo": "Mr. Ryan Paul Barretto",
  "sector": "Technology",
  "industry": "Apps",
  "revenue_range": "$100M-$500M",
  "employee_count_range": "1001-5000",
  "full_time_employees": 1322,
  "description": "Sprout Social, Inc. designs, develops, and operates a web-based social media management platform...",
  "stock_ticker": "SPT",
  "market_cap": 337111258,
  "stock_currency": "USD",
  "stock_exchange_name": "NASDAQ Capital Market"
}

Authorizations

x-api-key
string
header
required

Your PG:AI API key. Generate one from Settings → API Keys in the PG:AI dashboard.

Path Parameters

company_id
string<uuid>
required

The unique identifier (UUID) of the company

Response

Company details

A company/account in your PG:AI workspace

id
string<uuid>

Unique company identifier

company_name
string

Company name

website_domain
string

Primary website domain

public_company
boolean

Whether the company is publicly traded

country_code
string | null

ISO country code (e.g. US, GB)

linkedin_url
string<uri> | null

LinkedIn company page URL

hq_city
string | null
hq_state
string | null
hq_address
string | null
hq_postcode
string | null
hq_country_name
string | null
region
string | null
ceo
string | null
sector
string | null
industry
string | null
revenue_range
string | null

Revenue bracket (e.g. "$100M-$500M")

employee_count_range
string | null

Employee count bracket (e.g. "1001-5000")

full_time_employees
integer | null

Exact full-time employee count

description
string | null

Company description

stock_ticker
string | null
market_cap
integer | null
stock_currency
string | null
stock_exchange_name
string | null
alternative_domains
string[] | null
alternative_names
string[] | null
tags
string[] | null